"use strict";
const common_vendor = require("../../../common/vendor.js");
const _sfc_main = {
  __name: "main",
  setup(__props) {
    common_vendor.onMounted(() => {
      getFonts();
    });
    const goToText = () => {
      common_vendor.index.navigateTo({
        url: "/pages/mine/Contact/Contact"
      });
    };
    const goto = (tab) => {
      common_vendor.index.navigateTo({
        url: "/pages/mine/mineorders/mineorders?zt=" + JSON.stringify(tab)
      });
    };
    const getFonts = () => {
      common_vendor.index.loadFontFace({
        family: "FangZhengFonts",
        source: `url("https://carbon2.obs.cn-north-4.myhuaweicloud.com/fonts/FangZhengFonts.TTF")`,
        success: (res) => {
          console.log("success", res);
        },
        fail: (err) => {
          console.log("err", err);
        }
      });
    };
    const jump_addressList = () => {
      common_vendor.index.navigateTo({
        url: "/pages/mine/addressList/addressList"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => goto("全部")),
        b: common_vendor.o(($event) => goto("待支付")),
        c: common_vendor.o(($event) => goto("待发货")),
        d: common_vendor.o(($event) => goto("已发货")),
        e: common_vendor.o(($event) => goto("已退款")),
        f: common_vendor.o(($event) => jump_addressList()),
        g: common_vendor.o(goToText)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8172b2ba"], ["__file", "D:/微信小程序/课设整合/匠承非遗小程序端/jiangchengfeiyi-xiaochengxu/pages/mine/main/main.vue"]]);
wx.createPage(MiniProgramPage);
